Returns the scope class associated with the closure

- « ReflectionFunctionAbstract::getAttributes

- ReflectionFunctionAbstract::getClosureThis »

- PHP Manual
- ReflectionFunctionAbstract
- Returns the scope class associated with the closure

# ReflectionFunctionAbstract::getClosureScopeClass

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

ReflectionFunctionAbstract::getClosureScopeClass — Returns the scope class associated with the closure

### Description

public ReflectionFunctionAbstract::getClosureScopeClass(): ?ReflectionClass

Get the class enclosing the closure declaration.

### Parameters

This function has no parameters.

### Return Values

Returns the class, or `null` if the function is not a closure or if there was no enclosing class.